
%global meadversion 4.3.1
%global namedversion 4.3.1.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 3

%bcond_without mead

%{?scl:%scl_package ecj}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/ecj-eap6}
%{!?scl:%global javadir %{_javadir}/ecj-eap6}

%define maven_version 4.3.1.redhat-1

Name:           %{?scl_prefix}ecj%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Eclipse ECJ
License:        EPL 1.0
Group:          Development/Java

%if %with mead
Source100: ecj-4.3.1.redhat-1-scm-sources.zip
Source102: ecj-4.3.1.redhat-1.pom
Source103: ecj-4.3.1.redhat-1-javadoc.jar
Source104: ecj-4.3.1.redhat-1-sources.jar
Source105: ecj-4.3.1.redhat-1.jar
%endif

URL:            http://www.eclipse.org/jdt/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%{?scl:Requires: %scl_runtime}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}ecj%{?eap}-%{namedversion}-%{release}-root

%description
Eclipse JDT Core Batch Compiler.

%prep
%setup -q -n eclipse.jdt.core -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/ecj-%{namedversion}.jar %{buildroot}%{javadir}/ecj-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/ecj-%{namedversion}-sources.jar %{buildroot}%{javadir}/ecj-%{namedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md
%dir %{javadir}
%{javadir}/ecj-%{namedversion}.jar
%{javadir}/ecj.jar
%{javadir}/ecj-%{namedversion}-sources.jar
%{javadir}/ecj-sources.jar

%changelog
* Thu May 08 2014 Permaine Cheung <pcheung@redhat.com> - 4.3.1-3.redhat_1.1
- Rewrap

* Wed Apr 16 2014 David Walluck <dwalluck@redhat.com> - 4.3.1-2.redhat_1.1
- fix jar location on RHEL 7

* Mon Mar 24 2014 David Walluck <dwalluck@redhat.com> - 4.3.1-1.redhat_1.1
- build wrappers

* Thu Mar 20 2014 David Walluck <dwalluck@redhat.com> 1:4.3.1-1
- release
